package main

import (
	"html/template"
	"log"
	"net/http"

	"streifling.com/jason/cpolis/cmd/feed"
	"streifling.com/jason/cpolis/cmd/handlers"
)

func main() {
	mux := http.NewServeMux()
	feed := feed.NewFeed("Freimaurer Distrikt Niedersachsen und Sachsen-Anhalt",
		"https://distrikt-ni-st.de",
		"Freiheit, Gleichheit, Brüderlichkeit, Toleranz und Humanität")

	mux.Handle("/web/static/", http.StripPrefix("/web/static/", http.FileServer(http.Dir("web/static/"))))
	mux.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
		template.Must(template.ParseFiles("web/templates/index.html", "web/templates/editor.html")).Execute(w, nil)
	})

	mux.HandleFunc("POST /finished-edit/", handlers.HandleFinishedEdit(feed))

	log.Fatalln(http.ListenAndServe(":8080", mux))
}
